Index: npl/overig/jsoncpp/jsoncpp.SlackBuild
===================================================================
--- npl/overig/jsoncpp/jsoncpp.SlackBuild	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp.SlackBuild	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+#NEED:cmake
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+mkdir -p build
+cd build
+cmake -DCMAKE_BUILD_TYPE=release -DBUILD_STATIC_LIBS=ON -DBUILD_SHARED_LIBS=ON -DARCHIVE_INSTALL_DIR=. -G "Unix Makefiles" .. -DCMAKE_INSTALL_INCLUDEDIR=include/jsoncpp -DCMAKE_INSTALL_PREFIX=/usr
+make
+make install DESTDIR=/tmp/pkg
+
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/jsoncpp/jsoncpp.arch
===================================================================
--- npl/overig/jsoncpp/jsoncpp.arch	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp.arch	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/jsoncpp/jsoncpp.build
===================================================================
--- npl/overig/jsoncpp/jsoncpp.build	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp.build	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/jsoncpp/jsoncpp.md5
===================================================================
--- npl/overig/jsoncpp/jsoncpp.md5	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp.md5	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,5 @@
+fa47a3ab6b381869b6a5f20811198662  ./jsoncpp-1.8.4.tar.gz
+f7805d84b3e439ab138572778d423df5  ./jsoncpp_dev.pkg
+437dc4d737702d4068e57be280227db8  ./jsoncpp.pkg
+2694eee7ca4815fb44fea03a30b7296c  ./jsoncpp.SlackBuild
+91fff6842f75383b14dc720cdb7aea4a  ./jsoncpp.SlackBuild.log.gz
Index: npl/overig/jsoncpp/jsoncpp.version
===================================================================
--- npl/overig/jsoncpp/jsoncpp.version	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp.version	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,1 @@
+1.8.4
Index: npl/overig/jsoncpp/jsoncpp_dev.arch
===================================================================
--- npl/overig/jsoncpp/jsoncpp_dev.arch	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp_dev.arch	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/jsoncpp/jsoncpp_dev.build
===================================================================
--- npl/overig/jsoncpp/jsoncpp_dev.build	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp_dev.build	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/jsoncpp/jsoncpp_dev.version
===================================================================
--- npl/overig/jsoncpp/jsoncpp_dev.version	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
+++ npl/overig/jsoncpp/jsoncpp_dev.version	(revision 8c2f7e487199ebd6b7d229177a2ecd5763860829)
@@ -0,0 +1,1 @@
+1.8.4
